#!/bin/bash
# superuser is required for installing the packages
sudo apt -y update  			# update is required to fetch add some of the following packages
sudo apt -y install pkg-config 	# retrieve info about installed stuff
sudo apt -y install make cmake ccache  # make
sudo apt -y install clang clang-format-10 # install compiler ( clang-10 is autoinstalled within clang)
sudo apt -y install valgrind valgrind-dbg gdb cgdb ghex cppcheck # debug and code checking
sudo apt -y install libsdl2-dev libsdl-image1.2-dev 	# libs for drawing windows and images
sudo apt -y install libboost-dev 			# general dependency

# other useful packages
sudo apt -y install tree		# show folder structure
sudo apt -y install htop		# show running processes, used mem and CPU
sudo apt -y install mc			# midnight commander -> file manager
sudo apt -y install ranger		# ranger file manager -> better for only terminal setup
sudo apt -y install nano vim 		# text editors
sudo apt -y install unzip		# data compression tool
sudo apt -y install git subversion	# version control systems (git always first )
sudo apt -y install gtkterm 		# serial line communication tool


